rapidjson::UTF16LE< CharType > Struct Template Reference

UTF-16 little endian encoding. More...

`#include <encodings.h>`

Inheritance diagram for rapidjson::UTF16LE< CharType >:

## Static Public Member Functions

template<typename InputByteStream >
static CharType | TakeBOM (InputByteStream &is)
template<typename InputByteStream >
static CharType | Take (InputByteStream &is)
template<typename OutputByteStream >
static void | PutBOM (OutputByteStream &os)
template<typename OutputByteStream >
static void | Put (OutputByteStream &os, CharType c)
Static Public Member Functions inherited from rapidjson::UTF16< CharType >
template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename OutputStream >
static void | EncodeUnsafe (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)

## Additional Inherited Members

Public Types inherited from rapidjson::UTF16< CharType >
enum | { supportUnicode = 1 }
typedef CharType | Ch
Public Member Functions inherited from rapidjson::UTF16< CharType >
| RAPIDJSON_STATIC_ASSERT (sizeof(Ch) >=2)

## Detailed Description

### template<typename CharType = wchar_t>
struct rapidjson::UTF16LE< CharType >

UTF-16 little endian encoding.

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h